%{!?ruby_sitelib:	%define ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%{!?ruby_sitearch:	%define ruby_sitearch	%(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

# Workaround for ruby side bug
%{!?ruby_arch:		%define ruby_arch	%(ruby -rrbconfig -e "puts Config::CONFIG['archdir']")}


%define		rubyabi		1.8

%define		modname		RMagick
%define		repoid		34653

%define		IMver		6.3.5

%define		mainver		2.3.0
%undefine		betaver		
%define		fedorarel	1



Name:		ruby-%{modname}
Version:	%{mainver}
Release:	%{fedorarel}%{?betaver:.%betaver}%{?dist}
Summary:	Graphics Processing for Ruby and Ruby on Rails
Group:		Development/Languages

License:	MIT
URL:		http://rmagick.rubyforge.org/
Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{modname}-%{mainver}%{?betaver:-%betaver}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
# For ImageMagick config/type.xml
BuildRequires:	ImageMagick-devel >= %{IMver}
Requires:	ImageMagick >= %{IMver}
Requires:	ruby(abi) = %{rubyabi}
Provides:	ruby(%{modname}) = %{version}-%{release}

%description
RMagick is an interface between the Ruby programming language and the
ImageMagick and GraphicsMagick image processing libraries.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation

%description	doc
This package contains documentaton files for %{name}.

%prep
%setup -q -n %{modname}-%{version}

# Workaround for ruby size bug
pushd ext/RMagick
%{__cp} -p %{ruby_arch}/rbconfig.rb .
%{__sed} -i.static -e 's|-static||' rbconfig.rb
popd
	

%build
export CFLAGS="$RPM_OPT_FLAGS"
export RUBYLIB=$(pwd)/ext/RMagick
ruby setup.rb config \
	--prefix=%{_prefix} \
	--siteruby=%{ruby_sitelib} \
	--siterubyverarch=%{ruby_sitearch} \
	--doc-dir=$(pwd)/DOCDIR/HTML
ruby setup.rb setup

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__rm} -rf DOCDIR
ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

# Permission
find $RPM_BUILD_ROOT -name \*.so | xargs %{__chmod} 0755

# Fix up DOCDIR
find DOCDIR -name .rmagick -or -name .examples | \
	xargs %{__rm} -f

%{__cp} -p ChangeLog DOCDIR/
%{__sed} -e 's|ISO-8859-1|UTF-8|' README.html | \
	iconv -f ISO-8859-1 -t UTF-8 > \
	DOCDIR/README.html
touch -r README.html DOCDIR/README.html

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc DOCDIR/ChangeLog DOCDIR/README.html

%{ruby_sitelib}/%{modname}.rb
%{ruby_sitelib}/rvg/
%{ruby_sitearch}/%{modname}2.so

%files	doc
%defattr(-,root,root,-)
%doc DOCDIR/HTML/*

%changelog
* Thu Apr  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.3.0-1
- 2.3.0

* Mon Feb 18 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.2.2-1
- 2.2.2

* Sun Feb  3 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.2.0-1
- 2.2.0

* Fri Jan 11 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.1.0-1
- 2.1.0

* Fri Dec 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-3
- 2.0.0
- Workaround for ruby site bug related to static archive removal.

* Sun Nov  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.3.beta5
- 2.0.0 beta 5

* Wed Oct  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.3.beta4
- Spec file cleanup

* Sat Sep 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 2.0.0-0.1.beta4
- Initial packaging
